Moondream
Integrace
moondream/batched
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream/batched?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/moondream/batched?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/moondream/batched", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/cs/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "moondream/batched",
"input": {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
}
Volejte model Moondream (moondream/batched) prostřednictvím Doitong API. Dokumentace pro agenty: https://doitong.com/cs/developers/models/moondream/batched.md
POST https://api.doitong.ru/v1/run/moondream/batched?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
Pokud je stav odpovědi "queued" nebo "running", dotazujte GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20, dokud nebude "succeeded"; soubory jsou v outputs[].url. POST https://api.doitong.ru/v1/quote/moondream/batched se stejným tělem vrátí přesnou cenu před spuštěním.
Tento požadavek: ≈0,004 $ 4 kredity API · ≈ 0,43 ₽ Spustit na této stránce
Váš nový API klíč. Zobrazuje se pouze nyní a už je vložen do kódu a do pole API klíč níže. Uchovávejte ho v tajnosti: nikdy ho nevkládejte do kódu, který se spouští v prohlížeči.
Zde se zobrazí váš první výsledek
Níže sestavte požadavek a spusťte ho pomocí svého API klíče. Výstupy se kopírují do našeho úložiště a uchovávají se navždy nebo 7 dne zdarma.
Sestavit požadavek
Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.
/run/moondream/batched?wait=20
cena → 0,004 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream/batched?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/moondream/batched?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/moondream/batched", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "moondream/batched",
"input": {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
},
"wait_seconds": 20
}
}
}
Spustit tento požadavek
Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API
O modelu Moondream
Dávková verze multimodálního modelu Moondream. Předejte seznam objektů v `inputs`, z nichž každý obsahuje prompt a adresu URL obrázku, a obdržíte seznam vygenerovaných výstupů spolu se zpracovanými názvy souborů a časy. Generování se řídí pomocí `max_tokens` (32 až 1024, výchozí 64), `temperature` (0 až 1), `top_p` a `repetition_penalty` (1 až 2). Odpověď obsahuje také příznak označující, zda je výsledek částečný.
Parametry
inputspovinné
inputs[].image_urlpovinné
inputs[].promptvolitelné
max_tokensvolitelné
temperaturevolitelné
top_pvolitelné
repetition_penaltyvolitelné
Výstup
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "moondream/batched",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 4,
"usd": "0.004",
"charged": 4,
"refunded": 0
},
"input": {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
},
"output": {
"outputs": [
"string"
],
"partial": false,
"timings": {},
"filenames": [
"string"
]
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pole výstupu
- outputs
- array of stringSeznam obsahující vygenerované výsledky.
- partial
- booleanUrčuje, zda je výstup neúplný.
- timings
- objectČasová měření jednotlivých fází zpracování.
- filenames
- array of string | nullNázvy zpracovaných souborů obrázků.
Další modely: Vize
Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/moondream/batched.md. Všechny modely a návody: https://doitong.com/developers/llms.txt